Bug 11315 - msSFU30Name attribute is added to new groups, when --nis-domain wasn't given
msSFU30Name attribute is added to new groups, when --nis-domain wasn't given
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
4.2.2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-07 18:29 UTC by Marc Muehlfeld
Modified: 2015-07-05 19:03 UTC (History)
1 user (show)

See Also:


Attachments
Patch for master (1.10 KB, patch)
2015-06-07 18:36 UTC, Marc Muehlfeld
no flags Details
cherry-picked patch vor samba-v4-2-test (1.53 KB, patch)
2015-06-16 19:16 UTC, Marc Muehlfeld
ambi: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Muehlfeld 2015-06-07 18:29:55 UTC
When a new group is created via

# samba-tool group add

it gets an 'msSFU30Name' attribute. This attribut should only be added, when --nis-domain also was given to samba-tool.
Comment 1 Marc Muehlfeld 2015-06-07 18:36:28 UTC
Created attachment 11127 [details]
Patch for master
Comment 2 Marc Muehlfeld 2015-06-16 19:16:12 UTC
Created attachment 11163 [details]
cherry-picked patch vor samba-v4-2-test
Comment 3 Christian Ambach 2015-06-18 21:11:42 UTC
Karolin,

please pick for 4.2.next.
Comment 4 Karolin Seeger 2015-06-29 19:46:12 UTC
(In reply to Christian Ambach from comment #3)
Pushed to autobuild-v4-2-test.
Comment 5 Karolin Seeger 2015-07-05 19:03:46 UTC
(In reply to Karolin Seeger from comment #4)
Pushed.
Closing out bug report.

Thanks!